module fsl_ps2(
	ps2_clk,
	ps2_data,
	IRQ,
	//data_ready,	
	FSL_Rst,
	FSL_Clk,
	FSL_M_Clk,
	FSL_M_Data,
	FSL_M_Control,
	FSL_M_Write,
	FSL_M_Full	
);


	 inout ps2_clk;
    inout ps2_data;
	 output IRQ;
	 //output data_ready;

	  //-- Clock and reset signals
    input FSL_Clk;
    input FSL_Rst;

	  //   -- FSL master signals
    output FSL_M_Clk;
    output [7:0]FSL_M_Data;
    output FSL_M_Control;
    output FSL_M_Write;
    input FSL_M_Full;
	 //output scan;

	 wire [0:7] scan;

	 reg FSL_M_Write_0, FSL_M_Write_2;
reg IRQ_0;
reg IRQ;

assign FSL_M_Clk = FSL_Clk;
assign FSL_M_Control = 1'b0;
assign temp = FSL_M_Write;

always@(posedge FSL_Clk)
	begin
	if (FSL_M_Write_2)
			begin
			FSL_M_Write_0 = 1'b0;
			IRQ = 1'b0;
			end
	if (FSL_M_Write_0)
			FSL_M_Write_2 = 1'b1;
	else if (FSL_M_Write)
		begin
		IRQ = 1'b1;
		FSL_M_Write_0 = 1'b1;
		end
		else IRQ = 1'b0;
	end

/*input_fsl_8 my_input_fsl_ip_0
    (
      .FSL_INPUT_IP_GPIO(scan),
		.data_ready(data_ready),
      .IRQ(IRQ),
      .FSL_Clk(FSL_Clk),
      .FSL_Rst(FSL_Rst),
      .FSL0_M_CLK(FSL_M_CLK),
      .FSL0_M_Write(FSL_M_Write),
      //.FSL0_M_Data(FSL_M_DATA_8),
		.FSL0_M_Data(FSL_M_Data),
      .FSL0_M_Control(FSL_M_Control),
      .FSL0_M_Full(FSL_M_Full)
    );*/

/*util_bus_pad UTIL_PAD(
    .in_bus(FSL_M_DATA_8),
    .out_bus(FSL_M_Data)
	);*/


/*ps2_core ps2_core_0
	(
     .clk(FSL_Clk),
      .rst(FSL_Rst),
      .rx_scan_code(scan),
      .rx_data_ready(data_ready),
      .ps2_data(ps2_data),
      .ps2_clk(ps2_clk)
    );*/
ps2_core ps2_core_0
	(
     .clk(FSL_Clk),
      .rst(FSL_Rst),
      .rx_scan_code(FSL_M_Data),
      .rx_data_ready(FSL_M_Write),
      .ps2_data(ps2_data),
      .ps2_clk(ps2_clk)
    );

endmodule